Get Rate for Item
1 min
POST
https://api.upstartcommerce.com/v1/shipping-method/rate/catalog-item
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe request must provide details of the catalog item for which shipping rate should be calculated.
200<p>Success-resulting shipping rate returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/shipping-method/rate/catalog-item \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"catalogItemId": "item1",
"country": "USA",
"currency": "USD",
"postalCode": "43234",
"productItemSkuId": "SKU_item1",
"quantity": 1,
"shippingMethodIds": []
}'